-- Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
-- module settings table
CREATE TABLE IF NOT EXISTS ModuleSettings (
	module_id				INT UNSIGNED NOT NULL
,	name					VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	value					VARCHAR(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	PRIMARY KEY (module_id, name)
) ENGINE=InnoDB DEFAULT CHARSET utf8;

ALTER TABLE misc CHANGE COLUMN val val VARCHAR(2000) CHARACTER SET binary NOT NULL;
REPLACE INTO misc (param, val) VALUES('send_tech_announce', 'true');

REPLACE INTO actions(name, descr, enabled) VALUES ('patch_available', 'New patch available', 'true');
REPLACE INTO actions(name, descr, enabled) VALUES ('patch_installed', 'New patch installed', 'true');

REPLACE INTO actions(name, descr, enabled) VALUES ('cp_user_login_failed', 'CP User Login Attempt Failed', 'true');
REPLACE INTO actions(name, descr, enabled) VALUES ('cp_user_api_login_failed', 'CP User Login Attempt via API Failed', 'true');
DELETE FROM log_components WHERE UPPER(component) LIKE '%PASSWORD%';

ALTER TABLE custom_buttons MODIFY place ENUM('domain','client','reseller','reseller-settings','admin','admin-settings','navigation') NOT NULL default 'domain';

ALTER TABLE `sessions` MODIFY `data` MEDIUMTEXT CHARACTER SET binary;
