REPLACE INTO ServiceNodeConfiguration (serviceNodeId, section, name, value) VALUES (1, 'mailServer', 'outgoing_messages_mbox_limit', '10');
REPLACE INTO ServiceNodeConfiguration (serviceNodeId, section, name, value) VALUES (1, 'mailServer', 'outgoing_messages_domain_limit', '50');
REPLACE INTO ServiceNodeConfiguration (serviceNodeId, section, name, value) VALUES (1, 'mailServer', 'outgoing_messages_subscription_limit', '100');
REPLACE INTO ServiceNodeConfiguration (serviceNodeId, section, name, value) VALUES (1, 'mailServer', 'outgoing_messages_notification_period', 'PT1H');
REPLACE INTO ServiceNodeConfiguration (serviceNodeId, section, name, value) VALUES (1, 'mailServer', 'outgoing_messages_report_period', 'P1W');

--  -- WordpressInstanceProperties table

CREATE TABLE IF NOT EXISTS WordpressInstanceProperties (
    wordpressInstanceId     INT UNSIGNED NOT NULL,
    name                    VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
    value                   VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                            PRIMARY KEY (wordpressInstanceId, name)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS PleskStats (
  param varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL PRIMARY KEY,
  value BLOB DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS SessionContexts (
  contextId   VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin PRIMARY KEY,
  sessionId   VARCHAR(33) CHARACTER SET ascii COLLATE ascii_bin DEFAULT NULL,
  data        MEDIUMTEXT CHARACTER SET binary,
              INDEX (sessionId)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
