<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration007 extends SmbMigrationStep
{

    public function up()
    {
        $this->createTable(
            'smb_apsMetas',
            array(
                'id' => $this->_fieldPrimaryKey,
                'name' => array('notnull' => true) + $this->_fieldString,
                'serviceId' => $this->_fieldString,
                'xpath' => $this->_fieldString,
                'class' => $this->_fieldString,
                'contextId' => $this->_fieldReference,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable('smb_apsMetas');
    }

}
