<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration018 extends SmbMigrationStep
{

    private $_table = 'smb_fileSharingUnlistedFiles';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'creationDate' => $this->_fieldDate,
                'salt' => $this->_fieldString,
                'name' => $this->_fieldString,
                'path' => $this->_fieldString,
                'expiration' => $this->_fieldInteger,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postup()
    {
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
