<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration021 extends SmbMigrationStep
{
    private $_table = 'smb_apsPackagesCategories';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'categoryId' => $this->_fieldInteger,
                'packageId' => $this->_fieldInteger,
            ),
            $this->_tableDefaultOptions + array(
                'indexes' => array(
                    'categoryId' => $this->_getSimpleIndex('categoryId'),
                    'packageId' => $this->_getSimpleIndex('packageId'),
                ),
            )
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }

}
