<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration032 extends SmbMigrationStep
{
    private $_table = 'smb_roleServicePermissions';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'roleId' => $this->_fieldReference,
                'servicePermissionId' => $this->_fieldReference,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        //grant 'external file sharing' permission to admin role
        $this->_insert($this->_table, array(1, 1, 1));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }

}
