<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Relation between SMB users and Plesk clients
 *
 */
class Migration036 extends SmbMigrationStep
{

    private $_table = 'smb_users';

    public function up()
    {
        $this->addColumn($this->_table, 'ownerId', 'integer', $this->_fieldInteger);
        $this->addColumn($this->_table, 'isDomainAdmin', 'integer', $this->_fieldInteger);
    }

    public function down()
    {
        $this->removeColumn($this->_table, 'ownerId');
        $this->removeColumn($this->_table, 'isDomainAdmin');
    }

}
