<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Add 'Additional Info', 'Instant Messenger Number' and 'Instant Messenger Type' fileds
 *
 */
class Migration043 extends SmbMigrationStep
{

    private $_table = 'smb_users';

    public function up()
    {
        $this->addColumn($this->_table, 'additionalInfo', 'string', $this->_fieldText);
        $this->addColumn($this->_table, 'imNumber', 'string', $this->_fieldString);
        $this->addColumn($this->_table, 'imType', 'integer', $this->_fieldInteger);
        $this->addColumn($this->_table, 'isLegacyUser', 'integer', $this->_fieldInteger);
    }

    public function down()
    {
        $this->removeColumn($this->_table, 'additionalInfo');
        $this->removeColumn($this->_table, 'imNumber');
        $this->removeColumn($this->_table, 'imType');
        $this->removeColumn($this->_table, 'isLegacyUser');
    }

}
