<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.

define('SMB_OLD_APPLICATION_PATH', '/usr/local/psa/admin/smb/application');
define('SMB_UPGRADE_DB_PATH', '/usr/local/psa/bootstrapper/pp12.0.18-bootstrapper/smb_db_chunks');

set_include_path(
        SMB_OLD_APPLICATION_PATH . '/externals/'
        . PATH_SEPARATOR . get_include_path()
);

//required just for doctrine's classes
function __autoload ($name)
{
        $newName = str_replace('_', '/', $name);
        require_once($newName . '.php');
}

try {
        $application = new DbManager();
        $application->run();
} catch (Exception $e) {
        fwrite(STDERR, "Unable to upgrade SMB database - " . $e->getMessage() . PHP_EOL);
        exit(1);
}
