-- Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
-- IPv6
ALTER TABLE `dns_recs` MODIFY `type` ENUM('NS','A','AAAA','CNAME','MX','PTR','TXT', 'SRV', 'master', 'none') NOT NULL DEFAULT 'A';
ALTER TABLE `dns_recs_t` MODIFY `type` ENUM('NS','A','AAAA','CNAME','MX','PTR','TXT', 'SRV') NOT NULL DEFAULT 'A';
ALTER TABLE `smtp_poplocks` MODIFY `ip_address` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `sessions` MODIFY `ip_address` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `IP_Addresses` MODIFY `ip_address` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `log_actions` MODIFY `ip_address` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `cp_access` MODIFY `netaddr` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
ALTER TABLE `secret_keys` MODIFY `ip_address` VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;

-- DomainServices
ALTER TABLE `DomainServices` MODIFY `type` ENUM('mail','tomcat','maillists', 'web');

-- IP Collections table
CREATE TABLE IF NOT EXISTS IpCollections (
  `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- IP Collection elements table
CREATE TABLE IF NOT EXISTS IpAddressesCollections (
  `ipCollectionId` INT UNSIGNED NOT NULL,
  `ipAddressId` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`ipCollectionId`, `ipAddressId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DELETE FROM smtp_poplocks WHERE ip_address = '::1';
INSERT INTO smtp_poplocks (ip_address, ip_mask) VALUES ('::1', 128);
