ALTER TABLE DatabaseUserRemoteAccessRules CHANGE COLUMN firewallRuleId firewallRuleId VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '';

-- reserved limits
CREATE TABLE IF NOT EXISTS LimitsReservation (
  `id`                INT UNSIGNED AUTO_INCREMENT NOT NULL,
  `collectionRef`     VARCHAR(128) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `limitName`         VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `value`             INT UNSIGNED,
  `expiration`        DATETIME NOT NULL,
                      PRIMARY KEY (`id`),
                      INDEX(`collectionRef`, `limitName`),
                      INDEX(`expiration`)
);