<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration002 extends SmbMigrationStep
{
    public function up()
    {
        $this->createTable(
            'smb_locales',
            array(
                'id' => $this->_fieldPrimaryKey,
                'code' => array('unique' => true) + $this->_fieldString,
                'title' => $this->_fieldString,
                'isActive' => array('default' => 1) + $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postup()
    {
        $conn = Doctrine_Manager::connection();
        $conn->insert(new Doctrine_Table('smb_locales', $conn), array(
            'id' => 1, 'code' => 'en-US', 'title' => 'ENGLISH (United States)', 'isActive' => 1));
    }

    public function down()
    {
        $this->dropTable('smb_locales');
    }
}
