<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration003 extends SmbMigrationStep
{
    private $_table = 'smb_componentUpdates';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'componentName' => $this->_fieldString,
                'version' => $this->_fieldString,
                'build' => $this->_fieldString,
                'shown' => array('default' => 0) + $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
