<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration004 extends SmbMigrationStep
{

    public function up()
    {
        $this->createTable(
            'smb_apsPackages',
            array(
                'id' => $this->_fieldPrimaryKey,
                'name' => array('notnull' => true) + $this->_fieldString,
                'version' => $this->_fieldString,
                'release' => $this->_fieldString,
                'vendor' => $this->_fieldString,
                'vendorHomePage' => $this->_fieldString,
                'packager' => $this->_fieldString,
                'packagerHomePage' => $this->_fieldString,
                'cacheId' => array('type' => 'string', 'notnull' => true, 'length' => 36, 'unique' => true),
                'installed' => array('type' => 'string', 'length' => 25),
                'isUploaded' => array('default' => 0) + $this->_fieldBoolean,
                'isVisible' => array('default' => 0) + $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable('smb_apsPackages');
    }
}
