<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration013 extends SmbMigrationStep
{
    public function up()
    {
        $this->createTable(
            'smb_apsPackageUpdates',
            array(
                'id' => $this->_fieldPrimaryKey,
                'packageId' => $this->_fieldReference,
                'updatePackageId' => array('notnull' => false) + $this->_fieldReference,
                'catalog' => $this->_fieldString,
                'version' => $this->_fieldString,
                'release' => $this->_fieldString,
                'packager' => $this->_fieldString,
                'severity' => $this->_fieldString,
                'level' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable('smb_apsPackageUpdates');
    }
}
