<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Table for storing error messages about failed license installations
 * on APS applications.
 */
class Migration014 extends SmbMigrationStep
{
    private $_table = 'smb_apsInstanceErrors';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'instanceId' => $this->_fieldReference,
                'creationDate' => $this->_fieldDate,
                'text' => $this->_fieldText,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
