<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration015 extends SmbMigrationStep
{

    private $_table = 'smb_roles';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'name' => array('unique' => true) + $this->_fieldString,
                'isBuiltIn' => array('default' => 0) + $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
