<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration020 extends SmbMigrationStep
{
    private $_table = 'smb_apsCategories';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'name' => array('unique' => true) + $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }

}
