<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration023 extends SmbMigrationStep
{
    private $_table = 'smb_roleGeneralPermissions';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'roleId' => $this->_fieldReference,
                'generalPermissionId' => $this->_fieldReference,
                'isAllowed' => $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        // grant permissions to admin's role
        $this->_insert($this->_table, array(101, 1, 1, 1));
        $this->_insert($this->_table, array(102, 1, 2, 1));
        $this->_insert($this->_table, array(103, 1, 3, 1));
        $this->_insert($this->_table, array(104, 1, 4, 1));
        $this->_insert($this->_table, array(105, 1, 5, 1));
        $this->_insert($this->_table, array(106, 1, 6, 1));
        $this->_insert($this->_table, array(108, 1, 8, 1));
        $this->_insert($this->_table, array(109, 1, 9, 1));
        $this->_insert($this->_table, array(110, 1, 10, 1));
        $this->_insert($this->_table, array(111, 1, 11, 1));
        $this->_insert($this->_table, array(112, 1, 12, 1));
        $this->_insert($this->_table, array(113, 1, 13, 1));
        $this->_insert($this->_table, array(114, 1, 14, 1));
        $this->_insert($this->_table, array(115, 1, 15, 1));
        $this->_insert($this->_table, array(116, 1, 16, 1));
        $this->_insert($this->_table, array(117, 1, 17, 1));
        $this->_insert($this->_table, array(118, 1, 18, 1));
        $this->_insert($this->_table, array(119, 1, 19, 1));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }

}
