<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration027 extends SmbMigrationStep
{
    private $_table = 'smb_serviceProviders';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'classname' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        $this->_insert($this->_table, array(1, 'Smb_Service_Provider_Aps'));
        $this->_insert($this->_table, array(2, 'Smb_Service_Provider_FileSharing'));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
