<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration028 extends SmbMigrationStep
{
    private $_table = 'smb_serviceInstances';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'description' => $this->_fieldString,
                'serviceProviderId' => $this->_fieldReference,
                'externalId' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        $this->_insert($this->_table, array(1, 'SMB File Sharing Service', 2, 'main'));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
