<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration030 extends SmbMigrationStep
{
    private $_table = 'smb_servicePermissions';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'serviceInstanceId' => $this->_fieldReference,
                'serviceProviderId' => $this->_fieldReference,
                'permissionCode' => $this->_fieldString,
                'class' => $this->_fieldString,
                'status' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        $this->_insert($this->_table, array(1, 1, 2, 'external', 'account', ''));
        $this->_insert($this->_table, array(2, 1, 2, 'sharing', 'account', ''));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
