<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration031 extends SmbMigrationStep
{
    private $_table = 'smb_serviceEntryPoints';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'servicePermissionId' => $this->_fieldReference,
                'externalId' => $this->_fieldString,
                'label' => $this->_fieldString,
                'description' => $this->_fieldString,
                'icon' => $this->_fieldString,
                'redirectUrl' => $this->_fieldString,
                'hidden' => array('default' => 0) + $this->_fieldBoolean,
                'http' => array('default' => 0) + $this->_fieldBoolean,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
