<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration034 extends SmbMigrationStep
{
    private $_table = 'smb_servicePermissionAccounts';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'userId' => $this->_fieldReference,
                'servicePermissionId' => $this->_fieldReference,
                'externalId' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postUp()
    {
        //grant fake 'user file sharing' permission to admin user
        $this->_insert($this->_table, array(1, 1, 2, self::_getHash()));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }

}