<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration042 extends SmbMigrationStep
{
    private $_table = 'smb_apsPackages';

    public function up()
    {
        $this->addColumn($this->_table, 'registryUid', 'string', array(
            'type' => 'string',
            'length' => 36,
        ));
        $this->addColumn($this->_table, 'globalSettingsNotSet', 'integer',  array(
            'type' => 'integer',
            'length' => 4,
            'default' => 0,
        ));
    }

    public function down()
    {
        $this->removeColumn($this->_table, 'registryUid');
        $this->removeColumn($this->_table, 'globalSettingsNotSet');
    }

}
