<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Add subscriptionDomainId to smb_users.
 * Required by sting Control :: Restrict Users to particular subscriptions
 */
class Migration046 extends SmbMigrationStep
{

    private $_table = 'smb_users';

    public function up()
    {
        $this->addColumn($this->_table, 'subscriptionDomainId', 'integer', array('default' => 0, 'length' => 10) + $this->_fieldInteger);
    }

    public function down()
    {
        $this->removeColumn($this->_table, 'subscriptionDomainId');
    }

}
